API referenceWhatsApp
GET /whatsapp/calls
Call history, newest first
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
accountId*stringWhatsApp account id
status?stringStatus
direction?stringinbound | outbound
since?stringISO date-time
until?stringISO date-time
before?stringnextCursor
limit?integerMax calls
{calls, nextCursor}
application/json- response
calls?array<>nextCursor?|Pass as before
curl -X GET 'https://example.com/api/v1/whatsapp/calls?accountId=string'Example Response
{ "calls": [ { "id": "string", "direction": "inbound", "from": "string", "to": "string", "status": "dialing", "startedAt": "2019-08-24T14:15:22Z", "endedAt": "2019-08-24T14:15:22Z", "durationSeconds": 0, "endReason": "string", "recordingUrl": "string", "forwardTo": "string", "billing": {} } ], "nextCursor": "string"}